# $Id: colortail.spec 3700 2005-11-11 14:30:51Z dries $
# Authority: dag
# Upstream: Joakim Andersson <ja$morrdusk,net>

%{?dist: %{expand: %%define %dist 1}}

Summary: Log colorizer that makes log checking easier
Name: colortail
Version: 0.3.0
Release: 2.rf
Group: Applications/File
License: GPL
URL: http://www.student.hk-r.se/~pt98jan/colortail.html

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: ftp://ftp.be.netbsd.org/pub/NetBSD/packages/distfiles/colortail-%{version}.tar.gz
Patch: colortail-0.3.0-gcc3.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc-c++, automake, autoconf

%description
Colortail is a log colorizer that makes log checking easier. It works
like tail but can read one or more configuration files. In which it's
specified which patterns result in which colors. 

%prep
%setup
%{!?rh6:%patch0 -b .gcc3}

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING example-conf/conf.* NEWS README TODO
%{_bindir}/colortail

%changelog
* Fri Nov 11 2005 Dries Verachtert <dries@ulyssis.org> - 0.3.0-2 - 3700/dries
- Modified the source url. Project page doesn't exist anymore.

* Mon Apr 04 2005 Dag Wieers <dag@wieers.com> - 0.3.0-1
- Added example config files. (Adrian Reber)

* Tue May 06 2003 Dag Wieers <dag@wieers.com> - 0.3.0-0
- Initial package. (using DAR)
